<?php
/**
 * @copyright 	&copy; 2005-2019 SFS
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Eric 'Coolhands' Camy <sfs.coolhands@free.fr>
 * @version   	PHPBoost 5.2
*/

class PilotesExtensionPointProvider extends ExtensionPointProvider
{
	public function __construct()
	{
		parent::__construct('pilotes');
	}

	public function css_files()
	{
		$module_css_files = new ModuleCssFiles();
		$module_css_files->adding_always_displayed_file('pilotes.css');
		return $module_css_files;
	}

	public function home_page()
	{
		return new PilotesHomePageExtensionPoint();
	}

	public function menus()
	{
		return new ModuleMenus(array(new PilotesModuleMiniMenu()));
	}

	public function tree_links()
	{
		return new PilotesTreeLinks();
	}

	public function url_mappings()
	{
		return new UrlMappings(array(new DispatcherUrlMapping('/pilotes/index.php')));
	}
}
?>
