<?php
/**
 * @copyright 	&copy; 2005-2019 SFS
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Eric 'Coolhands' Camy <sfs.coolhands@free.fr>
 * @version   	PHPBoost 5.2
*/

class PilotesUser extends User
{
	protected $avatar;

	public function set_avatar($avatar)
	{
		$user_accounts_config = UserAccountsConfig::load();

		if (empty($avatar))
		{
			$this->avatar = $user_accounts_config->is_default_avatar_enabled() ? PATH_TO_ROOT . '/templates/' . AppContext::get_current_user()->get_theme() . '/images/' .  $user_accounts_config->get_default_avatar_name() : '';
		}
		else
			$this->avatar = $avatar;
	}

	public function get_avatar()
	{
		return Url::to_rel($this->avatar);
	}

	public function has_avatar()
	{
		return !empty($this->avatar);
	}
}
?>
