<?php
/**
 * @copyright 	&copy; 2005-2019 SFS
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Eric 'Coolhands' Camy <sfs.coolhands@free.fr>
 * @version   	PHPBoost 5.2
*/

class AdminPilotesDisplayResponse extends AdminMenuDisplayResponse
{
	public function __construct($view, $title_page)
	{
		parent::__construct($view);

		$lang = LangLoader::get('common', 'pilotes');
		$this->set_title($lang['pilotes']);

		$this->add_link(LangLoader::get_message('configuration', 'admin-common'), PilotesUrlBuilder::configuration());
		$this->add_link(LangLoader::get_message('module.documentation', 'admin-modules-common'), ModulesManager::get_module('pilotes')->get_configuration()->get_documentation());

		$env = $this->get_graphical_environment();
		$env->set_page_title($title_page, $lang['pilotes']);
	}
}
?>
